Subject: bug#32523: 27.0.50; Emacs hangs when killing rectangle

From: Eli Zaretskii <[email-masked]>
Date: Fri, 21 Aug 2020 16:42:00 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Fri, 21 Aug 2020 04:51:37 -0700
> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> 
> > The rectangle does eventually get cut for me as well.  Ignoring speed,
> > the problem is that Emacs is unusable afterwards.  For example, if I go
> > away for an hour or so, then return, the Emacs process will still be
> > using something close to 100% CPU and trying to doing something simple,
> > like moving the point forward, may take minutes.
> 
> Are you still seeing this behaviour?

I bet he does.  the problem with the slow responses after cutting the
rectangle is that Emacs performs redisplay each type the user types
some character.  The redisplay can be very small and optimized, but it
can also be much more thorough; for example, typing "M-x" typically
triggers a thorough redisplay.  Each time we need to perform a
non-trivial redisplay, the same problem with long lines hits again.